SparrowDesk
Tags

List all tags

GET
/tags
AuthorizationBearer <token>

In: header

Query Parameters

starting_after?string|null

Cursor for pagination (only needed for subsequent pages)

per_page?integer|null

Number of items per page (1-100, default 25)

Default25
Range1 <= value <= 100
search?string|null

Search tags by name

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://app.sparrowdesk.com/v1/tags"
{
  "data": [
    {
      "id": 100000001,
      "name": "bug",
      "created_at": 1672531200
    }
  ],
  "pages": {
    "per_page": 25,
    "next_cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNS0wMS0xNVQwNjowMzowOS4zMThaIiwiaWQiOjEwMDAwMDA5Nn0=",
    "next_url": "https://api.sparrowdesk.com/tags?per_page=25&starting_after=eyJjcmVhdGVkX2F0IjoiMjAyNS0wMS0xNVQwNjowMzowOS4zMThaIiwiaWQiOjEwMDAwMDA5Nn0="
  },
  "total_count": 156
}
{
  "error": {
    "message": "Invalid query parameters"
  }
}
{
  "error": {
    "message": "Resource not found"
  }
}
{
  "error": {
    "message": "An error occurred while retrieving tags"
  }
}